aboutsummaryrefslogtreecommitdiffstats
path: root/qemu-headless/start-arm-vm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'qemu-headless/start-arm-vm.sh')
-rwxr-xr-xqemu-headless/start-arm-vm.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/qemu-headless/start-arm-vm.sh b/qemu-headless/start-arm-vm.sh
new file mode 100755
index 0000000..e801bc1
--- /dev/null
+++ b/qemu-headless/start-arm-vm.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -eux
+
+snapshot=${SNAPSHOT:-on}
+extract_kernel=off
+
+[[ "$extract_kernel" = on ]] && ./extract-kernel.py
+
+exec qemu-system-arm -M virt -m 128M -nographic \
+ -kernel vmlinuz -initrd initrd.img \
+ -append 'root=/dev/vda1 rootwait=10 console=ttyAMA0,115200n8' \
+ -drive file=unstable-armhf.qcow2,snapshot=${snapshot},if=none,id=hd0 \
+ -device virtio-blk-device,drive=hd0 \
+ -device driver=virtio-net-device,netdev=net0 -netdev user,id=net0